curl
curl --request DELETE \
--url https://example.algolia.net/agent-studio/1/agents/lorem/allowed-domains/bulk \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"domainIds": [
"lorem"
]
}
'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
await client.BulkDeleteAllowedDomainsAsync(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
new AllowedDomainBulkDelete
{
DomainIds = new List<string>
{
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
},
}
);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
await client.bulkDeleteAllowedDomains(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete: AllowedDomainBulkDelete(
domainIds: [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
],
),
);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
err = client.BulkDeleteAllowedDomains(client.NewApiBulkDeleteAllowedDomainsRequest(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
agentStudio.NewEmptyAllowedDomainBulkDelete().SetDomainIds(
[]string{"a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc"})))
if err != nil {
// handle the eventual error
panic(err)
}// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
client.bulkDeleteAllowedDomains(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
new AllowedDomainBulkDelete().setDomainIds(
Arrays.asList("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
)
);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
await client.bulkDeleteAllowedDomains({
agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15',
allowedDomainBulkDelete: {
domainIds: ['a1b2c3d4-5678-90ab-cdef-123456789abc', 'b2c3d4e5-6789-01ab-cdef-234567890abc'],
},
});// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
client.bulkDeleteAllowedDomains(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete =
AllowedDomainBulkDelete(
domainIds =
listOf("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
),
)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$client->bulkDeleteAllowedDomains(
'76710f1b-8231-42e5-b0d1-f43aac618e15',
['domainIds' => [
'a1b2c3d4-5678-90ab-cdef-123456789abc',
'b2c3d4e5-6789-01ab-cdef-234567890abc',
],
],
);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
client.bulk_delete_allowed_domains(
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
allowed_domain_bulk_delete={
"domainIds": [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
],
},
)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
client.bulk_delete_allowed_domains(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
Algolia::AgentStudio::AllowedDomainBulkDelete.new(
domain_ids: ["a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc"]
)
)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
Await.result(
client.bulkDeleteAllowedDomains(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete = AllowedDomainBulkDelete(
domainIds = Seq("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
)
),
Duration(100, "sec")
)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
try await client.bulkDeleteAllowedDomains(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete: AllowedDomainBulkDelete(domainIds: [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
])
){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Allowed domains
Bulk Delete Allowed Domains
Delete allowed domains by id list.
DELETE
/
1
/
agents
/
{agentId}
/
allowed-domains
/
bulk
curl
curl --request DELETE \
--url https://example.algolia.net/agent-studio/1/agents/lorem/allowed-domains/bulk \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"domainIds": [
"lorem"
]
}
'// Initialize the client
var client = new AgentStudioClient(
new AgentStudioConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
await client.BulkDeleteAllowedDomainsAsync(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
new AllowedDomainBulkDelete
{
DomainIds = new List<string>
{
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
},
}
);// Initialize the client
final client = AgentStudioClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
await client.bulkDeleteAllowedDomains(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete: AllowedDomainBulkDelete(
domainIds: [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
],
),
);// Initialize the client
client, err := agentStudio.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
err = client.BulkDeleteAllowedDomains(client.NewApiBulkDeleteAllowedDomainsRequest(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
agentStudio.NewEmptyAllowedDomainBulkDelete().SetDomainIds(
[]string{"a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc"})))
if err != nil {
// handle the eventual error
panic(err)
}// Initialize the client
AgentStudioClient client = new AgentStudioClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
client.bulkDeleteAllowedDomains(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
new AllowedDomainBulkDelete().setDomainIds(
Arrays.asList("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
)
);// Initialize the client
const client = agentStudioClient('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
await client.bulkDeleteAllowedDomains({
agentId: '76710f1b-8231-42e5-b0d1-f43aac618e15',
allowedDomainBulkDelete: {
domainIds: ['a1b2c3d4-5678-90ab-cdef-123456789abc', 'b2c3d4e5-6789-01ab-cdef-234567890abc'],
},
});// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
client.bulkDeleteAllowedDomains(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete =
AllowedDomainBulkDelete(
domainIds =
listOf("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
),
)// Initialize the client
$client = AgentStudioClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$client->bulkDeleteAllowedDomains(
'76710f1b-8231-42e5-b0d1-f43aac618e15',
['domainIds' => [
'a1b2c3d4-5678-90ab-cdef-123456789abc',
'b2c3d4e5-6789-01ab-cdef-234567890abc',
],
],
);# Initialize the client
# In an asynchronous context, you can use AgentStudioClient instead, which exposes the exact same methods.
client = AgentStudioClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
client.bulk_delete_allowed_domains(
agent_id="76710f1b-8231-42e5-b0d1-f43aac618e15",
allowed_domain_bulk_delete={
"domainIds": [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
],
},
)# Initialize the client
client = Algolia::AgentStudioClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
client.bulk_delete_allowed_domains(
"76710f1b-8231-42e5-b0d1-f43aac618e15",
Algolia::AgentStudio::AllowedDomainBulkDelete.new(
domain_ids: ["a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc"]
)
)// Initialize the client
val client = AgentStudioClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
Await.result(
client.bulkDeleteAllowedDomains(
agentId = "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete = AllowedDomainBulkDelete(
domainIds = Seq("a1b2c3d4-5678-90ab-cdef-123456789abc", "b2c3d4e5-6789-01ab-cdef-234567890abc")
)
),
Duration(100, "sec")
)// Initialize the client
let client = try AgentStudioClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
try await client.bulkDeleteAllowedDomains(
agentId: "76710f1b-8231-42e5-b0d1-f43aac618e15",
allowedDomainBulkDelete: AllowedDomainBulkDelete(domainIds: [
"a1b2c3d4-5678-90ab-cdef-123456789abc",
"b2c3d4e5-6789-01ab-cdef-234567890abc",
])
){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
The agentId.
Body
application/json
Request body for bulk delete by IDs.
IDs of allowed domain records to delete.
Response
Successful Response.
Last modified on June 15, 2026
Was this page helpful?
⌘I